2010-01-30 Treeve Jelbert <treeve@sourcemage.org>
	* DEPENDS: firebird => FIREBIRD

2010-01-21 Eric Sandall <sandalle@sourcemage.org>
	* CONFLICTS: Looks like qt4 needs to conflict even for minor revisions

2010-01-22 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 4.6.1

2009-12-01 Eric Sandall <sandalle@sourcemage.org>
	* CONFLICTS: SELF -> SPELL, there is no SELF
	  Remove debug message, corrupted conflict message to:
	  qt4 conflicts with old=4.5,. Dispel old=4.5,? []
	  Instead of:
	  qt4 conflicts with qt4. Dispel qt4? [y]

2009-12-01 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 4.6.0
	* CONFLICTS: check old version before forcing conflict

2009-11-25 Treeve Jelbert <treeve@sourcemage.org>
	* DEPENDS: zlib is always required now

2009-11-17 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 4.6.0-rc1

2009-10-16 Treeve Jelbert <treeve@sourcemage.org>
	* SUB_DEPENDS, PRE_SUB_DEPENDS: add ACCESS

2009-10-15 Treeve Jelbert <treeve@sourcemage.org>
	* PRE_BUILD: fix for not linking clucene correctly (4.6.0-beta1)
	  needed in order to build TOOLS, which in turn is needed by kde4

2009-10-14 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 4.6.0-beta1
	* CONFLICTS: add it back again unfortunately. when going from 4.5 to 4.6
	  tries to link old modules which don't have the new entrypoints
	* BUILD HISTORY SUB_DEPENDS PRE_SUB_DEPENDS:
	  add multimedia, Accessibility and gtk options
	* CONFIGURE: delete obsolete stuff
	* DEPENDS: remove obsolete sqlite2 support

2009-10-10 Eric Sandall <sandalle@sourcemage.org>
	* CONFLICTS: No longer seems to need a self-conflict during upgrades

2009-10-06 Treeve Jelbert <treeve@sourcemage.org>
	* POST_INSTALL: deleted
	* INSTALL: added fix bad pkgconfig files
	* DETAILS: PATCHLEVEL=1
	  fixes bug #15296, 15387,again?

2009-10-01 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 4.5.3
	  new url
	  cleanup
	* PRE_BUILD: don't apply nokia patch
	* nokia.diff: deleted

2009-09-22 Peng Chang (Charles) <chp@sourcemage.org>
	* DETAILS: optionally turn TMPFS=off, 1GB RAM is insufficient
	* PREPARE: if RAM < 1GB auto disable tmpfs, else query whether to
	  disable tmpfs

2009-09-05 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: SECURITY_PATCH++
	* PRE_BUILD: apply nokia patch
	* nodia.diff: added, upstream security patch
	  <http://qt.nokia.com/about/news/qt-patches-released-addressing-potential-security-flaw>
	  cve-2009-2700
	  fixes bug #15388
	* POST_INSTALL: refix

2009-09-04 Treeve Jelbert <treeve@sourcemage.org>
	* POST_INSTALL: fix bad pkgconfig files
	* DETAILS: PATCHLEVEL=2
	  fixes bug #15296, 15387

2009-07-16 Treeve Jelbert <treeve@sourcemage.org>
	* POST_INSTALL: added, fix bad pkgconfig files
	* DETAILS: PATCHLEVEL=1
	  fixes bug #15296

2009-06-25 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 4.5.2 (prerelease & stable)
	* 0279-svg-rendering-regression.diff, odbc.patch: deleted
	* PRE_BUILD: don;t apply patches
	* REPAIR^all^*: deleted

2009-05-04 Treeve Jelbert <treeve@sourcemage.org>
	* PRE_BUILD: force use of libiodbc
	* DEPENDS: unixodbc -> ODBC-MGR
	  use libiodbc to avoid conflicts with virtuoso.
	  both virtuoso and qt4 are needed by soprano and kde4

2009-05-03 George Sherwood <gsherwood@sourcemage.org>
	* PRE_BUILD: apply patch to build with odbc
	* odbc.patch: Added Fedora patch to fix build problem against
	  new unixODBC.
	  http://osdir.com/ml/fedora-extras-commits/2009-02/msg06899.html

2009-04-29 Treeve Jelbert <treeve@sourcemage.org>
	* PRE_BUILD: remove some obsolete sedits
	* CONFLICTS:removed
	* BUILD: remove exports

2009-04-28 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: PATCHLEVEL=1
	* PRE_BUILD: apply patch, fix regresion which crashes plasma
	* 0279-svg-rendering-regression.diff: added - upstream patch
	  remove this at 4.5.2

2009-04-26 Thomas Orgis <sobukus@sourcemage.org>
	* BUILD: select opensource license on command line,
	  preventing build-time query (bug 15199)

2009-04-23 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 4.5.1 (prerelease & stable)

2009-03-04 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: fix hash of stable tarball
	  remove multiversion support
	* PREPARE: deleted

2009-03-03 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 4.5.0 (prerelease & stable)
	  disable snapshot, as no longer available
	  new website & urls
	  LICENSE now LGPL
	* PREPARE: remove snapshot option
	* grind.diff: deleted
	* PRE_BUILD: don't apply patch

2009-02-05 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 4.5.0-rc1 (prerelease)
	  4.5.0 ( snapshot )
	* grind.diff: fix compile of prerelease
	* PRE_BUILD: apply patch

2009-01-31 Juuso Alasuutari <iuso@sourcemage.org>
	* DEPENDS: Remove optional_depends stlport.
	* BUILD: Remove forced -stl flag.
	* CONFIGURE, BUILD: Add query for STL support.
	* SUB_DEPENDS, PRE_SUB_DEPENDS, REPAIR^all^SUB_DEPENDS,
	  REPAIR^all^PRE_SUB_DEPENDS: Add STL sub-dependency.

2009-01-09 Treeve Jelbert <treeve@sourcemage.org>
	* SUB_DEPENDS, PRE_SUB_DEPEND, REPAIR^all^PRE_SUB_DEPENDS
	  REPAIR^all^SUB_DEPENDS: add firebird & postgresql

2009-01-09 Eric Sandall <sandalle@sourcemage.org>
	* SUB_DEPENDS, PRE_SUB_DEPENDS: Add forcing mysql dependency

2008-12-11 Treeve Jelbert <treeve@sourcemage.org>
	DEPENDS: make stl support specific
	remove xorg-libs

2008-10-18 Vlad Glagolev <stealth@sourcemage.org>
	* DEPENDS: removed useless uudeview dep

2008-10-12 Treeve Jelbert <treeve@sourcemage.org>
	* DEPENDS:  firebird is now in /opt/firebird

2008-10-09 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* DEPENDS: changed gstreamer to gst-plugins-base #14682

2008-10-02 Julien "_kaze_" ROZO <julien@rozo.org>
	* DETAILS: updated prerelease and stable versions to 4.4.3

2008-10-01 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: update snapshot to 4.4.4.

2008-09-18 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 4.4.2 (prerelease & stable)
	 4.4.3 (snapshot)

2008-07-31 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 4.4.1 (prerelease & stable)

2008-06-11 Treeve Jelbert <treeve@sourcemage.org>
	* DEPENDS: add optional gstreamer

2008-07-12 Vlad Glagolev <stealth@sourcemage.org>
	* SUB_DEPENDS: depends on giflib (still commented), provider deprecated

2008-07-07 Juuso Alasuutari <iuso@sourcemage.org>
	* PRE_SUB_DEPENDS, SUB_DEPENDS: REPAIR^all^PRE_SUB_DEPENDS:
	  Added WEBKIT.

2008-06-11 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 4.4.2 (snapshot)

2008-05-06 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: stable: tar.gz -> tar.bz2 #14508

2008-05-04 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 4.4.0 (prerelease & stable)
	* DEPENDS, CONFIGURE, BUILD: WEBKIT now in all versions

2008-05-01 Treeve Jelbert <treeve@sourcemage.org>
	* SUB_DEPENDS, PRE_SUB_DEPENDS, REPAIR^all^PRE_SUB_DEPENDS:
	  add SQLITE

2008-04-17 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* PRE_SUB_DEPENDS, REPAIR^PRE_SUB_DEPENDS: fixed provider case

2008-04-03 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 4.4.0-rc1 (prerelease)

2008-03-27 Juuso Alasuutari <iuso@sourcemage.org>
	* DETAILS: Update snapshot to 4.4.1.
	* CONFIGURE: Added query for WebKit module, added negative
	  flag to QT_DEBUG, improved formatting.
	* BUILD: Added WebKit option to OPTS, quoted path strings,
	  removed redundant QT_DEBUG conditional, improved formatting.

2008-03-18 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Switch X11-LIBS to the one and only xorg-libs
	  No need to check if using modular X as that's all that's available now

2008-03-17 Juuso Alasuutari <iuso@sourcemage.org>
	* DETAILS: Corrected invalid snapshot SOURCE.

2008-02-25 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 4.4.0-beta1 (prerelease)
	* DETAILS: version 4.3.4 (stable)

2008-02-23 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: add    SOURCE_IGNORE for snapshot

2008-01-23 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* REPAIR^all^PRE_SUB_DEPENDS: this is the repair file that matters

2008-01-15 Elisamuel Resto <ryuji@sourcemage.org>
	* SUB_DEPENDS: missing fi on the global case
	* REPAIR^all^SUB_DEPENDS: added, too many annoying changes lately

2008-01-11 Treeve Jelbert <treeve@sourcemage.org>
	* SUB_DEPENDS: fix typo
	  again

2008-01-09 Treeve Jelbert <treeve@sourcemage.org>
	* SUB_DEPENDS, PRE_SUB_DEPENDS: add QT3

2008-01-06 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* CONFIGURE: added a complement to the bugfix of 2007-11-16 - option change

2007-12-29 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: update snapshot to 4.4.4
	  fix typo

2007-12-20 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: update prerelease to 4.4.0-tp1

2007-12-14 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: update snapshot to 4.3.4

2007-12-05 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* DETAILS: updated spell to 4.3.3

2007-11-16 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* BUILD, CONFIGURE: can't pass strings with spaces in it with
	  config_query_option, was making qt secretly forget the saved answer
	* SUB_DEPENDS, PRE_SUB_DEPENDS: added TOOLS for soprano

2007-11-07 Treeve Jelbert <treeve@sourcemage.org>
	* DEPENDS, PRE_SUB_DEPENDS, SUB_DEPENDS: add OPENGL

2007-11-07 Treeve Jelbert <treeve@sourcemage.org>
	* DEPENDS: always check  for openssl

2007-10-16 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: update snapshot to 4.3.3

2007-10-13 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to version 4.3.2
	* PRE_BUILD: Removed incorporated patch
	* 175791_4.diff: Removed.  Incoporated upstream.

2007-09-08 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: SECURITY_PATCH++
	* PRE_BUILD: apply patch
	* 175791_4.diff: added
	  fix bug #13987

2007-08-11 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: update snapshot to 4.3.2

2007-08-08 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 4.3.1

2007-07-12 Treeve Jelbert <treeve@sourcemage.org>
	* PROVIDES: readded, various spells can cope with qt4/qt3

2007-06-17 Treeve Jelbert <treeve@sourcemage.org>
	* PROVIDES: deleted, qt4 cannot substitute for qt3
	* DETAILS: use a dynamic date for the snaphot,
	  there are only a few snapshots available
	  make prerelease the same as stable fro the moment

2007-06-10 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: update snapshot to 4.3.1-snapshot-20070610

2007-06-01 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: update snapshot to 4.3.0-snapshot-20070531

2007-06-01 George Sherwood <george@beernabeer.com>
	* DETAILS: Update stable to 4.3.0.
	* PRE_BUILD: Remove patch for stable.
	* Qt-4.2.3-UTF-8-fix.diff: Removed.  Incorporated Upstream.

2007-05-18 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: update snapshot to 4.3.0-snapshot-20070517

2007-05-09 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 4.3.0rc1 (devel)
	* PRE_BUILD:  don't patch prerelease

2007-05-06 Treeve Jelbert <treeve@sourcemage.org>
	* PRE_BUILD: fix typo

2007-05-05 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: SECURITY_PATCH++
	* Qt-4.2.3-UTF-8-fix.diff: added
	* PRE_BUILD: apply patch
	  fixes bug #13762

2007-05-04 Treeve Jelbert <treeve@sourcemage.org>
	* CONFLICTS: add 'y' option, for automatic dispel

2007-05-03 Treeve Jelbert <treeve@sourcemage.org>
	* PREPARE: allow stable, prerelease and snapshots
	* DETAILS: version 4.3.0-snapshot-20070503
	  generalise URI
	* CONFLICTS: added, to remove previous qt4 before building new one,
	  as otherwise link finds old version in /usr/lib
	* INSTALL, qt.sh: deleted

2007-04-29 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 4.3.0beta (devel)
	* DEPENDS: add openssl, glib2
	* PRE_SUB_DEPENDS, SUB_DEPENDS: add SSL
	  openssl is needed for kde4
	* CONFIGURE, BUILD: qt3 support is optional
	  only build specified parts (demos, examples, translations, tools)
	* BUILD: change location of lib and include
	  this means that pkgconfig works and there are no name conflicts.
	  only /usr/bin/qt4 needs to be separate
	* INSTALL: remove sed stmts, they fail with staged install
	* PRE_BUILD: remove debug symbols
	* PREPARE: added, allow devel or stable versions
	* FINAL: deleted

2007-03-28 Treeve Jelbert <treeve@sourcemage.org>
	* TRIGGERS: add check on postgresql
	  fixes bug #13662

2007-03-10 Treeve Jelbert <treeve@sourcemage.org>
	* PRE_BUILD, CONFIGURE: optionally suppress the docs, demos and examples
	  this save enormous amounts of space
	* CONFIGURE: remove explicit '-release'; does not work!

2007-03-10 George Sherwood  <george@beernabeer.com>
	* DETAILS: Updated to version 4.2.3

2007-03-09 Treeve Jelbert <treeve@sourcemage.org>
	* FINAL: added, to update /etc/ld.so.conf

2007-02-11 Treeve Jelbert <treeve@sourcemage.org>
	* CONFIGURE, BUILD: optionally disable exceotion checking
	  (best for kde4)
	  precompiled header support
	* PRE_SUB_DEPENDS, SUB_DEPENDS: added
	  kde4 needs qt4 with DBUS support

2007-02-10 Treeve Jelbert <treeve@sourcemage.org>
	* DEPENDS:  s/TRACK/INSTALL/
	  explicitly disable unwanted sql drivers
	* PRE_BUILD: added, to fix firebird detection

2007-01-19 Treeve Jelbert <treeve@sourcemage.org>
	* BUILD: fix optimisations

2006-12-04 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Added dependencies on libxi, libxrender, libxrandr, libxfixes,
	  libxcursor, libx11, and libxext for xorg-modular

2006-12-02 Ge rge Sherwood <george@beernabeer.com>
	* DETAILS: Updated to 4.2.2

2006-11-16 Treeve Jelbert <treeve@sourcemage.org>
	* DEPENDS: add optional dbus
	  fixes bug #13261

2006-10-26 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* DETAILS: fix hash, upstream verified

2006-10-21 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to 4.2.1

2006-10-06 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to 4.2.0

2006-09-21 Juuso Alasuutari <iuso@sourcemage.org>
	* PROVIDES: [automated] Fixed invalid entries.

2006-06-28 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Removed BUILD_API=2, set grimoire-wide

2006-06-26 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to 4.1.4

2006-06-25 George Sherwood <george@beernabeer.com>
	* DEPENDS: Changed to CUPS from cups

2006-06-04 Daniel Goller <morfic@sourcemage.org>
	* DEPENDS: remove -stl/-no-stl flags from optional stlport depend to avoid turning off STL support
	* BUILD: add -stl to configure to ensure building with STL support,
	  fixes build errors with celestia and scribus that depend on it

2006-05-22 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: Updated to 4.1.3
	* BUILD: remove invoke_gcc ( done in default_pre_build)

2006-04-03 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to 4.1.2

2006-03-12 Karsten Behrmann <BearPerson@sourcemage.org>
	* DETAILS: (automated) Add KEYWORDS

2006-03-03 George Sherwood <george@beernabeer.com>
	* WIP: Removed.

2006-03-02 George Sherwood <george@beernabeer.com>
	* CONFLICTS: Removed file.

2006-03-01 George Sherwood <george@beernabeer.com>
	* BUILD: Added separate directories for qt4 to install in.
	* INSTALL: Edited *.pc, *.la, *.prl to have the correct lib dir
	  Copied *.pc files to proper directory

2006-02-27 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DETAILS: renamed $SPELL to qt4 to match the actual spell name,
	  fixed SOURCE_DIRECTORY to actually point to the correct source dir

2006-02-23 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: Updated to 4.1.1
	  SOURCE renamed

2006-01-23 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: Updated to 4.1.0

2005-11-29 Seth Woolley <seth@tautology.org>
	* DETAILS: MD5 -> SHA512

2005-08-06 Jose Bernardo Silva <jbernardo@sourcemage.org>
	* BUILD: removed thread and ipv6 support, would bork if you didn't do a
	  "cast -r"
	* DEPENDS, DETAILS: removed gcc34 dependencies, builds with gcc 4.0.1

2005-07-07 Eric Sandall <sandalle@sourcemage.org>
	* BUILD: invoke_gcc goes before ./configure (Thanks to David Brown)

2005-06-30 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 4.0.0
	  SOURCE and SOURCE_DIRECTORY now use 'opensource-desktop' instead
	  of 'free'
	  Set GCC_VERSION to '34' (should be fixed with gcc 4.0.1)
	* CONFIGURE: Query (default 'y') to enable GIF support
	  Removed thread and ipv6 support
	* DEPENDS: Supports both sqlite and sqlite2
	  PostgreSQL support now works
	  Use TRACK_ROOT for library/include locations
	  Added optional dependency on fontconfig
	  Added dependency on gcc34
	  Removed libmng support
	* BUILD: Install demos and examples (slower, but more complete)
	  Set install location of examples and demos
	  Set our platform (linux-g++)
	  Removed explicit GIF support
	  Pass QT_GIF to OPTS
	  Pass OPTS last to OPTS so that user-defined settings override ours
	  Run `invoke_gcc` before make
	* INSTALL: Fixed symlink creation for INSTALL_ROOT
	  Use sedit instead of sed -i
	  qmake is now installed okay, removed re-install
	  Removed removal of /usr/share/qt/mkspecs/default/linux*
	  Removed libqt-mt.so symlinking (no longer valid)
	  Removed QTDIR fix of qmake.conf (no longer valid)

2005-05-14 Treeve Jelbert <treeve@sourcemage.org>
	* DEPENDS: optional depends sqlite2 (not 3)
	  fixes bug #8867

2005-02-03 Gareth Clay <gareth@caffeinefuelled.co.uk>
	* INSTALL: added something to remove a spurious symlink
	  (bug #8296)

2005-01-31 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 3.3.4

2005-01-30 Arjan Bouter <abouter@sourcemage.org>
	* BUILD: spell_installed -> spell_ok conversion

2005-01-21 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Misspelled flag "-no-cups" (Bug #8050)

2004-12-17 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Use SPELL in SOURCE and SOURCE_DIRECTORY
	  We're accepting the GPL license, not the QPL ;)
	* CONFLICTS: Conflicts with qt-embedded
	* PROVIDES: Provides QT

2004-12-16 Eric Sandall <sandalle@sourcemage.org>
	* CONFIGURE: Added query for IPv6, thread, NIS, Xinerama, and debug
	  support
	* DEPENDS: Added optional dependency on cups and nas
	  Made jpeg optional
	  Added flags for STL
	* BUILD: Apply CONFIGURE options to OPTS

2004-09-18 Arwed v. Merkatz <v.merkatz@gmx.net>
	* BUILD: docdir is /usr/share/doc, not /usr/doc
	* DETAILS: set DOCS so html documentation isn't installed twice

2004-09-14 Ladislav Hagara <hgr@vabo.cz>
	* INSTALL: install /usr/bin/qmake correctly
	  thanks to http://www.linuxfromscratch.org/blfs/view/cvs/x/lib.html
	* DETAILS: updated UPDATED

2004-08-13 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 3.3.3
	* qfontdatabase_x11.diff: deleted

2004-08-03 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: STLport renamed to stlport

2004-07-25 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: BUILD_API=2
	  Removed MAINTAINER
	  Shortened SHORT
	* BUILD: ./configure switch to work with nvidia_drivers (-dlopen-opengl)
	  Bug #7123
	  Converted to BUILD_API 2
	  Removed some old, commented out code
	* INSTALL: Added
	* install.log: Removed (90k!)

2004-07-18 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: unixODBC renamed to unixodbc
	  Formatted to Guru Handbook

2004-07-08 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DEPENDS: added depends g++

2004-04-16 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 3.3.2
	* BUILD: disable font patch
	  builds and installs correctly with gcc-3.4.0

2004-04-16 Treeve Jelbert <treeve@sourcemage.org>
	* BUILD: fix bug #6735

2004-04-15 Unet <audio@sourcemage.org>
	* BUILD: Added a line to correct the include dir problem

2004-03-31 Wolfgang Scheicher <worf@sbox.tu-graz.ac.at>
	* add a patch to fix a font issue

2004-03-02 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 3.3.1
	* CONFLICTS: add back, as install fails if qt-x11 was
	  still installed during make process
	  this was masked by the deletion of existing files,
	  which no longer happens

2004-02-21 Treeve Jelbert <treeve@sourcemage.org>
	* BUILD: remove firebird dependent code,
	  as qt-x11 expects to find libgds.so, not libfbclient.so
	  firebird spell will now provide this
	  disable code to delete existing files, as it applies to long ago

2004-02-10 hgg <hgreig@bigpond.net.au>
	* CONFLICTS: removed, not needed for this version update

2004-02-04 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 3.3.0
	* DEPENDS: add optional firebird and sqlite
	* BUILD: determine appropriate library for firebird

2004-01-30 Eric Sandall <sandalle@sourcemage.org>
	* qt.sh: Script to set QTDIR on login
	  This allows `qmake` to work properly
	* BUILD: Install qt.sh script to /etc/profile.d/

2003-11-15 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 3.2.3

2003-10-20 hgg <hgreig@bigpond.net.au>
	* DETAILS: upadte to 3.2.2
	* BUILD: correct typo

2003-10-09 hgg <hgreig@bigpond.net.au>
	* DEPENDS: update to uppercase for providers
	* CONFLICTS: reinstate conflicts on itself as major version changes do conflict
	* BUILD: Add a binary check and subsequent removal of old files using a 3.1.2 log

2003-10-03 hgg <hgreig@bigpond.net.au>
	* DEPENDS: Change requires x11-libs to depends x11-libs

2003-09-19 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: MySQL works again, haven't tested PostgreSQL

2003-09-19 hgg <hgreig@bigpond.net.au>
	* DETAILS: Update updated as it would not have installed yet despite
	  sorcery logs :)
	* BUILD: Remove unsupported make targets from BUILD
	  add && to end for first "ln -sf" instance

2003-09-19 Eric Schabell <eschabell@sourcemage.org>
	* BUILD: Added export line to BUILD for LD_LIBRARY_PATH, now builds.

2003-09-18 hgg <hgreig@bigpond.net.au>
	* DETAILS: Update to 3.2.1
	* DEPENDS: change xfree86 depends to requires x11-libs

2003-08-24 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Removed extra MD5's (one per SOURCE, not SOURCE_URL)
	  Updated to 3.2.0 (Bug #3834)

2003-07-30 Wolfgang Scheicher <worf@sbox.tu-graz.ac.at>
	* BUILD: replace the libqt-mt.so link instead of fail on
	  it, if it allready exists

2003-07-23 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated web page and cleaned up DETAILS

2003-05-01 Eric Womack <eric@sourcemage.com>
	* DEPENDS: mysql & postgresql commented out until fixed(See Bug 3136 for details)

2003-03-27 Gareth Clay <garethclay@ntlworld.com>
	* DEPENDS: Removed Xft2 dependency (now uses XFree86 Xft2)

2003-03-09 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version bump to 3.1.2
	* CONFLICTS: remove CONFLICTS file

2002-12-21 Eric Womack <eric@lasvegasdata.com>
	* DETAILS: Version bump to 3.1.1

2002-11-17 Eric Womack <eric@lasvegsadata.com>
	* BUILD: Typo fixed

2002-11-15 Eric Womack <eric@lasvegsadata.com>
	* DEPENDS: cleanup, option_depends xft added

2002-11-14 Eric Womack <eric@lasvegasdata.com>
	* DETAILS: Version leap to 3.1.0, Mirrors added
	* BUILD: ln -s changed to ${VERSION}

2002-11-02 Eric Womack <eric@lasvegasdata.com>
	* ALL: Added "suspend" of Xft1 & Xft2

2002-09-02 Eric Sandall <sandalle@sourcemage.org>
	* ALL: Added to KDE section for Eric

2002-08-29 Treeve Jelbert <treeve@sourcemage.org>
	* BUILD: improve optimisations, speed up build process by removing some examples
	* DETAILS: update md5sum

2002-08-01 Gareth Clay <g.clay@warwick.ac.uk>
	* DETAILS: Updated to version 3.0.5
	* BUILD: Implemented workarounds for bugs in qt's install scripts
	  Made spell fully work with KDE_DETAILS file

2002-07-10 George Mochrie <geo@drasil.uklinux.net>
	* DETAILS: changed spell name to qt-x11
	* DEPENDS: made zlib and the graphics librarys optional depends
	  removed libungif from DEPENDS

2002-07-08 George Mochrie <geo@drasil.uklinux.net>
	* DEPENDS: fixed sql plugins
	* DETAILS: switched to using qt-copy from the KDE website
	  changed spell name from qt-x11-free to qt-copy, mirrors updated

2002-05-30 Eric Womack <eric@lasvegasdata.com>
	* DETAILS: Moved source to TrollTech site.
	  Adjusted to new versioning system

2002-04-09 Eric Womack <eric@lasvegasdata.com>
	* DETAILS: Beta Release

2002-04-07 George Mochrie <geo@drasil.uklinux.net>
	* BUILD: changed -prefix in BUILD to /usr/lib/qt
	  changed BUILD to copy the contents of /usr/lib/qt/bin to /usr/bin then delete bin
	  changed BUILD to skip building examples and tutorial (thanx unet)

2002-04-07 Insomniac <insomniac@japh.nl>
	* DETAILS: Mirrors added

2002-04-06 George Mochrie <geo@drasil.uklinux.net>
	* DEPENDS: added support for sql plugins
	  enabled qt's internal jpeg engine rather than using the system libjpeg

2002-04-06 Anonymous <anonymous@sourcemage.org>
	* BUILD: removed the -plugindir switch from BUILD
	  enabled graphics modules to build as plugins again

2002-04-03 George Mochrie <geo@drasil.uklinux.net>
	* BUILD: added the -thread flag which is required by KDE 3.0

2002-03-31 George Mochrie <geo@drasil.uklinux.net>
	* ALL: created this changelog, updated version to 3.0.3
	  spell now downloads .tar.bz2 rather than .tar.gz
	  changed BUILD to install qt to /usr

